package com.happy.service;

import com.alibaba.fastjson.JSONObject;
import com.happy.Model.HouseNumberStatus;
import com.happy.dto.HouseNumberStatusDto;

import java.util.List;

public interface HouseNumberStatusService {
    int saveBatch(List<HouseNumberStatus> list);

    /**
     * 表格数据 房态管理-房态管理
     */
    JSONObject queryData(HouseNumberStatusDto houseNumberStatusDto);

    /**
     * 查询可置脏/净、可开/关的房型及房间号 房态管理-房态管理
     */
    List<?> queryListWithHouse(HouseNumberStatusDto houseNumberStatusDto);

    /**
     * 批量开/关房
     */
    void modifyStatusBatch(HouseNumberStatusDto houseNumberStatusDto);

    /**
     * 置脏/净、批量开/关房
     */
    void modifyStatus(HouseNumberStatusDto houseNumberStatusDto);
}
